For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
              • POSTCreate Favicon Image
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSettingsFavicon Image

Create Favicon Image

POST
https://api.bigcommerce.com/stores/:store_hash/v3/settings/favicon/image
POST
/stores/:store_hash/v3/settings/favicon/image
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/settings/favicon/image \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F FaviconFile=@<file1>
Uploads an image file to use as the storefront favicon. Supported MIME types include GIF, JPEG, and PNG. - Channel ID can be used as a query parameter for updating channel-specific settings. If omitted, you will interact with the global settings only. - The uploaded image can be up to 10 MB. Larger files result in an error.
Was this page helpful?
Previous

Update Transactional Email Settings

Next

Get Inventory Settings

Built with

Uploads an image file to use as the storefront favicon. Supported MIME types include GIF, JPEG, and PNG.

  • Channel ID can be used as a query parameter for updating channel-specific settings. If omitted, you will interact with the global settings only.
  • The uploaded image can be up to 10 MB. Larger files result in an error.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Request

This endpoint expects a multipart form containing an optional file.
FaviconFilefileOptional

Response

OK

Errors

422
Unprocessable Entity Error